/* ------------------------------------------------ */
/* Анимация загрузки проектов */
/* ------------------------------------------------ */

.catalog-list {
    opacity: 1;
    transition: opacity 0.1s, visibility 0s linear 0.3s;
}

.catalog-list.faded {
    opacity: 0.5;
    transition: opacity 0.1s, visibility 0s linear 0.1s;
}
/* end: Анимация загрузки проектов */

/* ------------------------------------------------ */
/* Мобильная версия */
/* ------------------------------------------------ */

.mobile-menu-list ul {
    z-index: 400;
}

@media only screen and (max-width: 768px) {
    .catalog-filter {
        padding-left: 40px !important;
        padding-right: 40px !important;
        min-width: 300px !important;
    }
    .catalog-top-links, .wrapp-other-compilations {
	    display: none;
    }
}
/* end: Мобильная версия */

/* ------------------------------------------------ */
/* Слайдеры диапазонов */
/* ------------------------------------------------ */

[disabled].noUi-target {
    opacity: .3 !important;
}

.noUi-handle {
    bottom: 0 !important;
    right: 0 !important;
    width: 1px !important;
    height: 20px !important;
    background: #2d85df !important;
    border: 0 !important;
    border-radius: 0 !important;
    box-shadow: none !important;
}

.noUi-handle:before, .noUi-handle:after {
    display: none !important;
}

.noUi-handle-lower {
    margin-right: -1px;
}

.noUi-handle-lower .noUi-tooltip {
    transform: none !important;
    right: 0 !important;
    left: auto !important;
    margin-right: 0px;
    border-radius: 3px 0px 0px 3px !important;
}

.noUi-handle-upper .noUi-tooltip {
    transform: none !important;
    left: 0 !important;
    right: auto !important;
    margin-left: 0px; 
    border-radius: 0px 3px 3px 0px !important; 
}

.noUi-tooltip {
    border: 0 !important;
    background: #2d85df !important;
    color: #fff !important;
    font-size: 12px !important;
    margin-bottom: -4px;
    padding: 2px 4px !important;
}

.noUi-connect {
    background: #2d86de !important;
    border-radius: 0 !important;
    
}

.noUi-connects {
    border-radius: 0 !important;
}

.noUi-target {
    height: 5px !important;
    margin-bottom: 30px;
    margin-top: 30px;
    border: none !important;
    border-radius: 0 !important;
}

.range-item {
    width: 100%;
}
.range-item-with-margin {
    margin-top: 30px;
}

.range-item-gabariti {
    margin-top: 30px; 
    width: 100%;
}

.range-item-gabariti-title {
    padding-bottom: 15px;
}
 
.range-fields {
    margin-top: -20px; 
    text-align: center; 
    width: 100%
}

/* end: Слайдеры диапазонов */

/* ------------------------------------------------ */
/* Дополнительные этажи */
/* ------------------------------------------------ */

.btn-increase {
    padding: 0 !important;
    margin: 4px 0 0 0;
}

.dopetagi_alert {
    position: absolute;
    left: 0;
    top: 0;
    margin: 0 0 0 262px;
    background: #fff;
    box-shadow: 0px 15px 30px rgba(0,0,0,0.15);
    border-radius: 5px;
    z-index: 100;
    padding: 13px 15px 10px 15px;
    box-sizing: border-box;
    display: none;
}

@media only screen and (max-width: 768px) {
    .dopetagi_alert {
        margin: 80px -11px 0 0;
    }
}

.dopetagi_alert .btn-close {
    position: absolute;
    right: 0; top: 0;
    margin: 5px 5px 0 0;
    color: #999;
    cursor: pointer;
}

.filter-group-dopetagi {
    padding-bottom: 10px;
}

.hint-position {
    height: 1px;
    width: 100% !important;
}

/* end: Дополнительные этажи */

/* ------------------------------------------------ */
/* Сортировка */
/* ------------------------------------------------ */

#mse2_sort a.active, #mse2_tpl a.active {
	color: black;
	text-decoration: none;
	cursor: default;
}

#mse2_tpl a:first-of-type {
	margin-left: 20px;
}

#mse2_tpl a, .radio-label, input[type="radio"] + label {
	position: relative;
	cursor: pointer;
	width: 46px;
	height: 46px;
	margin: 0;
	margin-left: 0px;
}

#mse2_tpl a:first-of-type::before {
  content: "";
}

/* end: Сортировка */

/* ------------------------------------------------ */
/* Всплывающий блок 'Показать проекты' в фильтре */
/* ------------------------------------------------ */

.show-more {
    position: absolute;
    left: 0;
    top: 0;
    margin: 0 0 0 257px;
    background: #fff;
    box-shadow: 0px 15px 30px rgba(0,0,0,0.15);
    border-radius: 5px;
    z-index: 100;
    padding: 13px 15px 10px 15px;
    box-sizing: border-box;
    display: none;
}

@media only screen and (min-width: 768px) {
    .show-more:not(.fixed) {
        left: 0 !important;
    }
}

.show-more.fixed {
    position: fixed !important;
    display: inline-block;
    left: 0;
    margin-right: 20px !important;
    top: 20px !important;
}

.show-more.fixed.bottom {
    display: inline-block;
    top: auto !important;
    bottom: 0 !important;
}

.show-more div {
	display: flex;
	align-items: center;
}
.show-more .more-close {
	width: 15px;
	height: 15px;
	margin-left: 10px;
	cursor: pointer;
	display: none;
}

@media only screen and (max-width: 768px) {
	.show-more .more-close {
		display: flex;
	}
}

.show-more .more-show-results {
	display: block;
	width: 100%;
}

.show-more .more-show-results .more-title {
	white-space: nowrap;
}

.show-more .more-show-results .more-close {
	position: absolute;
	right: 0;
	top: 0;
	color: #000;
	display: block;
	margin: 5px 15px 0 0;
	cursor: pointer;
}

.show-more .more-show-results .more-total {
	font-weight: bold;
	padding: 0 10px;

}

.show-more .more-show-results .more-submit, .show-more .more-no-results .btn-reset {
    display: inline-block !important;
    padding: 10px 0;
    position: relative;
    cursor: pointer;
    color: #fff;
    line-height: 180%;
}

@media only screen and (min-width: 768px) {
    .show-more .more-show-results .more-submit {
        text-align: center !important;
    }
}

 .show-more .more-no-results {
	display: none;
	white-space: nowrap;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

@media only screen and (max-width: 768px) {
	
	.show-more {
        margin-left: 38px;
        left: inherit !important;
        width: 200px;
        padding: 8px;
        box-sizing: border-box;
        z-index: 2221000;
	}
	
    .show-more.fixed {
        position: fixed !important;
        display: inline-block;
        left: 0;
        margin-left: -2px !important;
        top: 0 !important;
    }
    
    .show-more.range-offset {
        margin-top: 10px !important;
    }	

	.hidden {
    	display: none !important;
	}
	
    .more-title {
        grid-row: 1 !important;
    }
    .more-total {
        grid-row: 1 !important;
    }
    .more-show-results > div {
        grid-row: 2 !important;
        grid-column: 1/3 !important;
    }
    
    .more-submit, .btn-reset {
        width: 100%;
        text-align: center;
    }
    
    .more-close {
        display: none !important;
    }
}

/* end: Всплывающий блок 'Показать проекты' в фильтре */

/* ------------------------------------------------ */
/* Кнопка 'Сброс фильтра' */
/* ------------------------------------------------ */

.btn-reset-filter-main.fixed {
    position: fixed !important;
    bottom: 0 !important;
    z-index: 100;
    background: rgb(255,255,255);
    background: linear-gradient(0deg, rgba(255,255,255,1) 73%, rgba(255,255,255,0.8099440459777661) 87%, rgba(255,255,255,0) 100%);
    padding: 30px 20px 10px 20px !important;
}

@media only screen and (max-width: 768px) {
    
    .btn-reset-filter-main {
        position: fixed !important;
        bottom: 0 !important;
        z-index: 100;
        background: #fff;
        padding: 30px 20px 10px 20px !important;        
        width: 100%;
        left: 0 !important;
        text-align: center;
    }
    .show-more {
        position: fixed !important;
        bottom: 0 !important;
        top: inherit !important;
        z-index: 100;
        left: 0 !important;
        margin: 0 0 70px 0 !important;
        width: 100% !important;
        box-sizing: border-box;
        background: #fff;
        padding: 10px 0 10px 0;
        z-index: 200;
    }
    
    .more-show-results, .more-no-results {
        padding: 10px 20px 15px 20px !important; 
        box-sizing: border-box;
        width: 250px !important;
        margin: 0 auto 0 auto !important; 
        border-radius: 4px;
    }
}

/* end: Кнопка 'Сброс фильтра' */

/* ------------------------------------------------ */
/* Тэги фильтра */
/* ------------------------------------------------ */

.filter-parameter-tag {
    position: relative;
    display: inline-block;
    padding: 4px 15px 4px 10px;
    border-radius: 4px;
    background: #2d85df;
    color: #fff;
    margin: 10px 10px 0 0;
    cursor: pointer;
    user-select: none;
}

.filter-parameter-tag i {
    position: absolute;
    right: 0;
    top: 0;
    margin: -3px 3px 0 0;
    font-size: 10px;
}

.filter-parameter-tags {
    margin: 5px 0 -13px 0;
}

/* end: Тэги фильтра */

/* ------------------------------------------------ */
/* Блоки мета-страницы */
/* ------------------------------------------------ */

.meta-block-title {
	font-weight: bold;
	font-size: 18px;
	padding: 10px 0;
}

.meta-block-benefits, .meta-block-why {
	display: flex;
	justify-content: space-between;
	list-style: none;
	text-align: center;
	margin: 0; padding: 0;
	gap: 15px;
}

.meta-block-benefits li, .meta-block-why li {
	flex-grow: 1;
	flex-shrink: 1;
	flex-basis: 0;
}

.ico-notes {
	position: relative; right: -10px;
}	

@media only screen and (max-width: 768px) {

	.meta-block-benefits, .meta-block-why {
		flex-direction: column;
	}

}

.meta-block-benefits div, .meta-block-why div {
	margin-bottom: 15px;
}

.meta-block-benefits img {
	width: 65px;
}

.meta-block-why img {
	width: 65px;
}

.meta-block-contacts {
	display: inline-flex;
	justify-content: space-between;
	list-style: none;
	text-align: center;
	margin: 0; padding: 0;
	gap: 25px;
	font-size: 18px;
	font-weight: bold;
	border-left: 2px solid #2d85df;
	padding-left: 25px;
	align-items: center
}

@media only screen and (max-width: 768px) {

	.meta-block-contacts {
		font-size: 15px;
		gap: 10px;
		padding-left: 10px;
	}

}

.meta-block-contacts img {
	position: relative;
	top: 0;
	min-width: 48px;
}
.meta-block-contacts span {
	color: #2d85df !important;
}
.meta-block-contacts a:hover span {
	color: #487caf !important;
	border-bottom: 1px solid #487caf;
}


.meta-block {
	margin-bottom: 25px;
}

.meta-block-faq {
	list-style: none;
	padding: 0; margin: 0;
}

.faq-section {
	max-width: 800px;
	margin: 50px auto;
	padding: 20px;
}

.faq-title {
	text-align: center;
	font-size: 2rem;
	margin-bottom: 20px;
}

.faq-item {
	padding: 10px 0;
}

.faq-question {
	width: 100%;
	background: none;
	border: none;
	outline: none;
	text-align: left;
	font-size: 1.1rem;
	font-weight: 600;
	cursor: pointer;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 10px 20px;
	background: #2d85df;
	color: #fff;
	border-radius: 5px;
	font-weight: normal;
}

.faq-question .icon {
	transition: transform 0.3s ease;
	font-weight: bold;
	font-size: 1.2rem;
}

.faq-answer {
	max-height: 0;
	overflow: hidden;
	transition: max-height 0.4s ease, padding 0.3s ease;
	padding: 0 0;
}

.faq-answer p {
	margin: 10px 0;
}

.faq-item.active .faq-answer {
	max-height: 1400px; 
	padding: 10px 0;
}

.faq-item.active .faq-question .icon {
	transform: rotate(180deg);
	content: "–";
}

/* end: Блоки мета-страницы */

/* ------------------------------------------------ */
/* Разное */
/* ------------------------------------------------ */

.catalog-filter {
    position: relative;
}

.catalog-filter * {
    user-select: none;
}

.filter-group {
    position: relative;
}

.dev-info {
    color: #798f5a;
    text-align: left;
}

.btn-blue {
    padding: 10px 0;
}

.projects-total {
    display: block !important;
}

.radio-checkbox-inner {
    display: flex; 
    justify-content: flex-start; 
    width: auto; 
    gap: 10px;
}

/* end: Разное */
